KDE 4.4 PyKDE API Reference

- KDE's Python API

# List Class Reference

`from PyKDE4.kio import *`

Namespace: KMountPoint.List

## Detailed Description

List of mount points.

## Methods
| __init__ (self)
KMountPoint.Ptr | findByDevice (self, QString device)
KMountPoint.Ptr | findByPath (self, QString path)

## Method Documentation

__init__ | ( |  | self ) |

KMountPoint.Ptr findByDevice | ( | self, |
|  | QString | device
| ) |  |  |

Returns the mount point associated with device, i.e. the one where mountedFrom() == device (after symlink resolution).

Returns:
  the mountpoint, or 0 if this device doesn't exist or isn't mounted

KMountPoint.Ptr findByPath | ( | self, |
|  | QString | path
| ) |  |  |

Find the mountpoint on which resides path For instance if /home is a separate partition, findByPath("/home/user/blah") will return /home

Parameters:

  | path | the path to check

Returns:
  the mount point of the given file